eclipse3.7以后编译代码提示ambiguous 的解决方法

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/h396071018/article/details/44063283
Eclispe3.7以后在使用可变函数时可能会遇到这种编译错误的问题
The method is ambiguous
正确的解决方法是:
在eclipse.ini -vmargs后面添加  -DtolerateIllegalAmbiguousVarargsInvocation=true 
重启并Clean项目,自动重新编译之后错误消失。
展开阅读全文

没有更多推荐了,返回首页